Skip to main content

Fetches all appointmnets for a customer based on the customer's public id

GET 

/calendar-backend/public/api/v1/customers/:publicId/appointments

Fetches all appointmnets for a customer based on the customer's public id. NOTE: This endpoint by default requires authentication

Example:

curl -i -X GET -H "Accept: application/json"
http://orchestra-ip:orchestra-port/calendar-backend/public/api/v1/customers/{publicId}/appointments

Request​

Responses​

A Json list of com.qmatic.qp.calendar.rest.dto.AppointmentDTO